Update a List of Records

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/records

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

Query parameters

  • fields string

    extra information of each record on the list

  • limit number

    maximum count of the record list

  • offset number

    skip that many record before beginning to return

application/json

Body

  • id number
  • fields array

    an array that contains record fields

  • fields.element_name: `inspector_name` string

    must have either element_name or element_id set

  • fields.element_id string
  • fields.value string Required
  • fields.extension string

    file extension, if applicable

  • fields.encoding string

    must match "base64", "url"

  • device_id string
  • javascript_state string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • id number Required

      the updated record id

PUT /profiles/{profile_id}/pages/{page_id}/records
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/records' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "id": 4,
    "fields": [
      {
        "element_name": "comments",
        "value": "no picture was taken"
      }
    ]
  },
  {
    "id": 7,
    "fields": [
      {
        "element_name": "photo_of_front_of_building",
        "extension": "jpg",
        "encoding": "url",
        "value": "http://cupegraf.com/data_images/wallpapers/6/310051-building.jpg"
      },
      {
        "element_name": "comments",
        "value": "under sunlight"
      }
    ]
  }
]'
Request examples
[
  {
    "id": 4,
    "fields": [
      {
        "element_name": "comments",
        "value": "no picture was taken"
      }
    ]
  },
  {
    "id": 7,
    "fields": [
      {
        "element_name": "photo_of_front_of_building",
        "extension": "jpg",
        "encoding": "url",
        "value": "http://cupegraf.com/data_images/wallpapers/6/310051-building.jpg"
      },
      {
        "element_name": "comments",
        "value": "under sunlight"
      }
    ]
  }
]
{
  "fields": [
    {
      "element_name": "comments",
      "value": "no picture was taken"
    },
    {
      "element_name": "notes",
      "value": "no notes were taken"
    }
  ]
}
Response examples (200)
[
  {
    "id": 4
  },
  {
    "id": 7
  }
]